#! /bin/sh
	INTERFACES_FILE=/etc/network/interfaces
	echo "" > $INTERFACES_FILE
	INTERFACES=`ifconfig -a | grep 'Link encap:Ethernet' | cut -f1 -d\  `
	for i in $INTERFACES; do 
		case "$i" in
		ath0)
######################### ATHEROS ####################################

			                        echo "# Configuracion interfaz de red inalambrica
iface $i inet dhcp
pre-up wpa_supplicant -B -i $i -c /etc/wpa_supplicant.conf -D madwifi -w -dd" >> $INTERFACES_FILE

                        echo "#Configuracion automatica de WPA
ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=0
eapol_version=1
ap_scan=1
fast_reauth=1
network={
        ssid=\"Andared\"
        scan_ssid=1
        proto=WPA
        key_mgmt=WPA-PSK
        psk=6b629f4c299371737494c61b5a101693a2d4e9e1f3e1320f3ebf9ae379cecf32
}" > /etc/wpa_supplicant.conf
######################## FIN ATHEROS ###############################
		;;

		ra0)
######################## RALINK ####################################
                        echo " " >> $INTERFACES_FILE
                        echo "# Configuracion interfaz de red inalambrica" >> $INTERFACES_FILE
                        echo "iface ra0 inet dhcp" >> $INTERFACES_FILE
                        echo "  pre-up iwconfig ra0 essid Andared" >> $INTERFACES_FILE
                        echo "  pre-up iwconfig ra0 mode managed" >> $INTERFACES_FILE
                        echo "  pre-up iwpriv ra0 set AuthMode=WPAPSK" >> $INTERFACES_FILE
                        echo "  pre-up iwpriv ra0 set EncrypType=TKIP" >> $INTERFACES_FILE
                        echo "  pre-up iwpriv ra0 set WPAPSK=6b629f4c299371737494c61b5a101693a2d4e9e1f3e1320f3ebf9ae379cecf32" >> $INTERFACES_FILE
                        echo "  pre-up iwpriv ra0 set TxRate=0" >> $INTERFACES_FILE
			MAP="$MAP $i"
######################## FIN RALINK ################################
		;;
		*)
		MAC=`/sbin/ifconfig $i | sed -n -e '/^.*HWaddr \([:[:xdigit:]]*\).*/{s//\1/;y/ABCEDF/abcdef/;p;q;}'| cut -d: -f1-3`
		if [ "$MAC" == "00:12:f0" ]; then
			# es una intel pro wireless
			echo "# Configuracion interfaz de red inalambrica
iface $i inet dhcp
pre-up wpa_supplicant -B -i $i -c /etc/wpa_supplicant.conf -D ipw -w -dd" >> $INTERFACES_FILE

			echo "#Configuracion automatica de WPA
ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=0
eapol_version=1
ap_scan=1
fast_reauth=1
network={
	ssid=\"Andared\"
	scan_ssid=1
	proto=WPA
	key_mgmt=WPA-PSK
	psk=6b629f4c299371737494c61b5a101693a2d4e9e1f3e1320f3ebf9ae379cecf32
}" > /etc/wpa_supplicant.conf
		else
			echo "iface $i inet dhcp" >> $INTERFACES_FILE
		fi
		;;
	esac
	done
	echo "" >> $INTERFACES_FILE
	echo "auto lo" >> $INTERFACES_FILE
	echo "iface lo inet loopback" >> $INTERFACES_FILE
	echo "" >> $INTERFACES_FILE




